summaryrefslogtreecommitdiff
path: root/tools/line2hackvr.sh
diff options
context:
space:
mode:
authorepoch <epoch@hacking.allowed.org>2017-04-18 01:33:44 -0500
committerepoch <epoch@hacking.allowed.org>2017-04-18 01:33:44 -0500
commita204330db26a0c3f5b4e88bdc495af350e262ab4 (patch)
treed92a57aca247f796c590eb5606ca64be4b8ed3af /tools/line2hackvr.sh
parent34628f9a0df01adc1d17e44f569600dc7d9d1414 (diff)
downloadhackvr-a204330db26a0c3f5b4e88bdc495af350e262ab4.tar.gz
hackvr-a204330db26a0c3f5b4e88bdc495af350e262ab4.zip
the changes needed to get tictactoe running pretty.
Diffstat (limited to 'tools/line2hackvr.sh')
-rwxr-xr-xtools/line2hackvr.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tools/line2hackvr.sh b/tools/line2hackvr.sh
index d46d73d..f2ea143 100755
--- a/tools/line2hackvr.sh
+++ b/tools/line2hackvr.sh
@@ -1,3 +1,7 @@
#!/bin/sh
#this is used on turn2line output
-xargs -L 1 printf "dragon addshape 2 0 %d %d 0 %d %d\n" $line
+if [ "_$1" = '_' ];then
+ echo 'usage: line2hackvr.sh name' >&2
+ exit 1
+fi
+xargs -L 1 printf "%s addshape 2 0 %d %d 0 %d %d\n" "$1" $line